<div>
  <h2 id="page-heading" data-cy="BerkasHeading">
    <span>Berkas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-berkas"
        [routerLink]="['/berkas/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Berkas</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (berkas?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Berkas found</span>
    </div>
  }

  @if (berkas && berkas.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="identitas">
              <div class="d-flex">
                <span>Identitas</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kk">
              <div class="d-flex">
                <span>Kk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppk">
              <div class="d-flex">
                <span>Ppk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skNasabah">
              <div class="d-flex">
                <span>Sk Nasabah</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="aktaPendirian">
              <div class="d-flex">
                <span>Akta Pendirian</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="aktaPerubahan">
              <div class="d-flex">
                <span>Akta Perubahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skPendirian">
              <div class="d-flex">
                <span>Sk Pendirian</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skPerubahan">
              <div class="d-flex">
                <span>Sk Perubahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="npwp">
              <div class="d-flex">
                <span>Npwp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="uploadBy">
              <div class="d-flex">
                <span>Upload By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="uploadOn">
              <div class="d-flex">
                <span>Upload On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppkNomor">
              <div class="d-flex">
                <span>Ppk Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nsbJenis">
              <div class="d-flex">
                <span>Nsb Jenis</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="berkasStatus">
              <div class="d-flex">
                <span>Berkas Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="namaNasabah">
              <div class="d-flex">
                <span>Nama Nasabah</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggalPpk">
              <div class="d-flex">
                <span>Tanggal Ppk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="metodeKirim">
              <div class="d-flex">
                <span>Metode Kirim</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="partitionId">
              <div class="d-flex">
                <span>Partition Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="verifyBy">
              <div class="d-flex">
                <span>Verify By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="verifyOn">
              <div class="d-flex">
                <span>Verify On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orderType">
              <div class="d-flex">
                <span>Order Type</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="remark.id">
              <div class="d-flex">
                <span>Remark</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="cabang.id">
              <div class="d-flex">
                <span>Cabang</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (berkas of berkas; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/berkas', berkas.id, 'view']">{{ berkas.id }}</a>
              </td>
              <td>{{ berkas.identitas }}</td>
              <td>{{ berkas.kk }}</td>
              <td>{{ berkas.ppk }}</td>
              <td>{{ berkas.skNasabah }}</td>
              <td>{{ berkas.aktaPendirian }}</td>
              <td>{{ berkas.aktaPerubahan }}</td>
              <td>{{ berkas.skPendirian }}</td>
              <td>{{ berkas.skPerubahan }}</td>
              <td>{{ berkas.npwp }}</td>
              <td>{{ berkas.updateBy }}</td>
              <td>{{ berkas.updateOn | formatMediumDatetime }}</td>
              <td>{{ berkas.uploadBy }}</td>
              <td>{{ berkas.uploadOn | formatMediumDatetime }}</td>
              <td>{{ berkas.ppkNomor }}</td>
              <td>{{ berkas.nsbJenis }}</td>
              <td>{{ berkas.berkasStatus }}</td>
              <td>{{ berkas.namaNasabah }}</td>
              <td>{{ berkas.tanggalPpk | formatMediumDate }}</td>
              <td>{{ berkas.metodeKirim }}</td>
              <td>{{ berkas.partitionId }}</td>
              <td>{{ berkas.verifyBy }}</td>
              <td>{{ berkas.verifyOn | formatMediumDatetime }}</td>
              <td>{{ berkas.orderType }}</td>
              <td>
                @if (berkas.remark) {
                  <div>
                    <a [routerLink]="['/remark', berkas.remark.id, 'view']">{{ berkas.remark.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (berkas.cabang) {
                  <div>
                    <a [routerLink]="['/cabang', berkas.cabang.id, 'view']">{{ berkas.cabang.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/berkas', berkas.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/berkas', berkas.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(berkas)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (berkas && berkas.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
